MediaWiki:Common.css: различия между версиями

мНет описания правки
Нет описания правки
Строка 5530: Строка 5530:


#COM.wikitable th {
#COM.wikitable th {
background: var(--bg-color-blue-150);
background: var(--bg-color-blue-subtle);
}
}


Строка 5536: Строка 5536:
#COM.wikitable:not(:has(thead)) tr:first-of-type th {
#COM.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-blue-100);
background: var(--bg-color-blue-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5544: Строка 5544:
#COM.wikitable thead + tbody > tr th:first-child {
#COM.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#COM.wikitable tr td {
background: var(--bg-color-blue-subtle);
}
}


Строка 5556: Строка 5552:


#MED.wikitable th {
#MED.wikitable th {
background: var(--bg-color-sky-blue-150);
background: var(--bg-color-sky-blue-subtle);
}
}
Строка 5562: Строка 5558:
#MED.wikitable:not(:has(thead)) tr:first-of-type th {
#MED.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-sky-blue-100);
background: var(--bg-color-sky-blue-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5570: Строка 5566:
#MED.wikitable thead + tbody > tr th:first-child {
#MED.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#MED.wikitable tr td {
background: var(--bg-color-sky-blue-subtle);
}
}


Строка 5582: Строка 5574:


#SRV.wikitable th {
#SRV.wikitable th {
background: var(--bg-color-green-150);
background: var(--bg-color-green-subtle);
}
}


Строка 5588: Строка 5580:
#SRV.wikitable:not(:has(thead)) tr:first-of-type th {
#SRV.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-green-100);
background: var(--bg-color-green-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5596: Строка 5588:
#SRV.wikitable thead + tbody > tr th:first-child {
#SRV.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SRV.wikitable tr td {
background: var(--bg-color-green-subtle);
}
}


Строка 5608: Строка 5596:


#ENG.wikitable th {
#ENG.wikitable th {
background: var(--bg-color-yellow-150);
background: var(--bg-color-yellow-subtle);
}
}


Строка 5614: Строка 5602:
#ENG.wikitable:not(:has(thead)) tr:first-of-type th {
#ENG.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-yellow-100);
background: var(--bg-color-yellow-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5622: Строка 5610:
#ENG.wikitable thead + tbody > tr th:first-child {
#ENG.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#ENG.wikitable tr td {
background: var(--bg-color-yellow-subtle);
}
}


Строка 5634: Строка 5618:


#RND.wikitable th {
#RND.wikitable th {
background: var(--bg-color-purple-150);
background: var(--bg-color-purple-subtle);
}
}


Строка 5640: Строка 5624:
#RND.wikitable:not(:has(thead)) tr:first-of-type th {
#RND.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-purple-100);
background: var(--bg-color-purple-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5648: Строка 5632:
#RND.wikitable thead + tbody > tr th:first-child {
#RND.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#RND.wikitable tr td {
background: var(--bg-color-purple-subtle);
}
}


Строка 5660: Строка 5640:


#SUP.wikitable th {
#SUP.wikitable th {
background: var(--bg-color-brown-150);
background: var(--bg-color-brown-subtle);
}
}


Строка 5666: Строка 5646:
#SUP.wikitable:not(:has(thead)) tr:first-of-type th {
#SUP.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-brown-100);
background: var(--bg-color-brown-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5674: Строка 5654:
#SUP.wikitable thead + tbody > tr th:first-child {
#SUP.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SUP.wikitable tr td {
background: var(--bg-color-brown-subtle);
}
}


Строка 5686: Строка 5662:


#SEC.wikitable th {
#SEC.wikitable th {
background: var(--bg-color-red-150);
background: var(--bg-color-red-subtle);
}
}


Строка 5692: Строка 5668:
#SEC.wikitable:not(:has(thead)) tr:first-of-type th {
#SEC.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-red-100);
background: var(--bg-color-red-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5700: Строка 5676:
#SEC.wikitable thead + tbody > tr th:first-child {
#SEC.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#SEC.wikitable tr td {
background: var(--bg-color-red-subtle);
}
}


Строка 5712: Строка 5684:


#BOTANY.wikitable th {
#BOTANY.wikitable th {
background: var(--bg-color-emerald-150);
background: var(--bg-color-emerald-subtle);
}
}


Строка 5718: Строка 5690:
#BOTANY.wikitable:not(:has(thead)) tr:first-of-type th {
#BOTANY.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-emerald-100);
background: var(--bg-color-emerald-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5726: Строка 5698:
#BOTANY.wikitable thead + tbody > tr th:first-child {
#BOTANY.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#BOTANY.wikitable tr td {
background: var(--bg-color-emerald-subtle);
}
}


Строка 5738: Строка 5706:


#MUTATION.wikitable th {
#MUTATION.wikitable th {
background: var(--bg-color-violet-150);
background: var(--bg-color-violet-subtle);
}
}


Строка 5744: Строка 5712:
#MUTATION.wikitable:not(:has(thead)) tr:first-of-type th {
#MUTATION.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-violet-100);
background: var(--bg-color-violet-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5752: Строка 5720:
#MUTATION.wikitable thead + tbody > tr th:first-child {
#MUTATION.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#MUTATION.wikitable tr td {
background: var(--bg-color-violet-subtle);
}
}


Строка 5797: Строка 5761:


#highlighted-header-cold.wikitable th {
#highlighted-header-cold.wikitable th {
background: var(--bg-color-azure-150);
background: var(--bg-color-azure-subtle);
}
}


Строка 5803: Строка 5767:
#highlighted-header-cold.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-cold.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: var(--bg-color-azure-100);
background: var(--bg-color-azure-50);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5811: Строка 5775:
#highlighted-header-cold.wikitable thead + tbody > tr th:first-child {
#highlighted-header-cold.wikitable thead + tbody > tr th:first-child {
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
#highlighted-header-cold.wikitable tr td {
background: var(--bg-color-azure-subtle);
}
}


Строка 5832: Строка 5792:
}
}


/* Палитра для Морпехов TODO: палитра в переменных */
/* Палитра для Морпехов */
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable thead tr th,
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
#highlighted-header-CM.wikitable:not(:has(thead)) tr:first-of-type th {
position: relative;
position: relative;
background: #313d45;
background: var(--theme-bg-color-300);
border-bottom: 3px solid var(--color-darkened-border);
border-bottom: 3px solid var(--color-darkened-border);
box-shadow:  var(--box-shadow-medium);
box-shadow:  var(--box-shadow-medium);
Строка 5843: Строка 5803:
#highlighted-header-CM.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-CM.wikitable:not(:has(thead)) tbody > tr:nth-of-type(n+2) th,
#highlighted-header-CM.wikitable thead + tbody > tr th {
#highlighted-header-CM.wikitable thead + tbody > tr th {
background: #355f54;
background: var(--bg-color-pastel-turquoise-50);
border-left: 3px solid var(--color-darkened-border);
border-left: 3px solid var(--color-darkened-border);
}
}